angular.module('myApp')

.controller('ArticleCtrl', function($rootScope, $scope, dbref, pointsMgmt) {

	$scope.answer = 0;
	$scope.correct = false;
	$scope.incorrect = false;

	$scope.checkAnswer = function() {
		// Get task meta from rootscope.
		var taskId = $rootScope.taskId;
		var points = $rootScope.task['points'];

		// Solutions ref.
		var ref = new Firebase(dbref)
			.child('solutions')
			.child(taskId);

		// Check if answer is correct.
		ref.once('child_added', function(solution) {
			if ($scope.answer == solution.val()) {
				$scope.correct = true;
				pointsMgmt.addPoints(points);
			} else {
				$scope.incorrect = true;
			}
		});
	}

	$scope.reset = function() {
		$scope.incorrect = false;
	}

})
