angular.module('myApp')

/*
.factory("Auth", ["$firebaseAuth", function($firebaseAuth) {
	var ref = new Firebase("https://sizzling-torch-4195.firebaseio.com");
	return $firebaseAuth(ref);
}])
*/

.controller("RegCtrl", function($scope, $firebaseArray, Auth, timelineMgmt) {
  $scope.createUser = function() {
    $scope.message = null;
    $scope.error = null;

    if ($scope.password1 != $scope.password2) {
    	$scope.error = "Passwords do not match.";
    	return;
    }

    Auth.$createUser({
      email: $scope.email,
      password: $scope.password1
    }).then(function(userData) {

      var newUser = {
        alias      : $scope.alias,
        level      :'Novice',
        points     : 0,
        reportings : 0,
        challenge  : {
          wins  : 0,
          loss  : 0
        },
        tasks       : {
          passwords : 0,
          wifi      : 0,
          social    : 0,
          web       : 0,
          email     : 0,
          essentials: 0,
          removable : 0,
          mobile    : 0,
          physical  : 0,
          remotely  : 0,
          storage   : 0 
        }
      }

      var userRef = new Firebase("https://sizzling-torch-4195.firebaseio.com/users/" + userData.uid);

      userRef.set(newUser);
      timelineMgmt.addEventStart($scope.alias);

      //$scope.message = "User created with uid: " + userData.uid;
      $scope.message = "Success! You can now log in."
      $scope.password1 = "";
      $scope.password2 = "";
    }).catch(function(error) {
      $scope.error = error;
    });
  };
});
