angular.module('myApp')

.controller('VideoCtrl', function($rootScope, $scope, pointsMgmt, dbref) {

	$scope.done = false;
	$scope.vdata = {
		cTime 		: 0,
		duration 	: 0
	};

	$scope.pauseVideo = function() {
		var video = angular.element(document).find('video')[0];
		video.pause();
	}

	$scope.$watch('vdata.cTime', function() {
		if ($scope.vdata.cTime > ($scope.vdata.duration - 10) && $scope.vdata.cTime > 0) {
			if (!$scope.done) {
				$scope.done = true;
				pointsMgmt.addPoints(100);
			}
		}
	})
})

.directive('sVideo', function() {
	return {
		scope: {
			videoData: "=videoData"
		},
		controller: function($scope, $element) {
			$scope.onTimeUpdate = function() {
				$scope.$apply(function() {
					$scope.videoData['cTime'] = $element[0].currentTime;
					$scope.videoData['duration'] = $element[0].duration;
				});
			}
		},
		link: function(scope, element) {
			element.bind('timeupdate', scope.onTimeUpdate);
		}
	}
})