angular.module('myApp')

.controller("LbCtrl", function($scope, $firebaseArray, Auth) {

	var usersArray = $firebaseArray(new Firebase("https://sizzling-torch-4195.firebaseio.com/users"));
	var friendsArray = $firebaseArray(new Firebase("https://sizzling-torch-4195.firebaseio.com/users/" + Auth.$getAuth().uid + "/friends"));
	
	$scope.tabNum = 1;

	usersArray.$loaded().then(function() {
		// $scope.filterBy = [];
		$scope.users = usersArray;
	}).catch(function(err) {
		console.log(err);
	});

	$scope.switchTab = function(tab) {
		$scope.users = [];

		switch(tab) {
			case 1:
				$scope.users = usersArray;
				$scope.tabNum = 1;
				break;
			case 2:
			$scope.tabNum = 2;
				break;
			case 3:
				angular.forEach(usersArray, function(user) {
					angular.forEach(friendsArray, function(friend) {
						if (user['alias'] == friend['$value']) {
							$scope.users.push(user);
						}
					});
				});
				$scope.tabNum = 3;
				break;
			defualt:
				break;
		}
	}

	$scope.addFriend = function() {
		var ref = new Firebase("https://sizzling-torch-4195.firebaseio.com/users/" + Auth.$getAuth().uid + "/friends");

		ref.set(['James', 'Fred']);
	}

})

.filter('inArray', function($filter) {
  return function(list, arrayFilter, element) {
    if (arrayFilter) {
      return $filter("filter") (list, function(listItem) {
      	return arrayFilter.indexOf(listItem[element]) != -1;
      });
    }
  };
});